Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.themoviedb.org/3/person/latest \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.themoviedb.org/3/person/latest"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.themoviedb.org/3/person/latest', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.themoviedb.org/3/person/latest", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.themoviedb.org/3/person/latest" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/person/latest") .header("Authorization", "Bearer <token>") .asString();
require 'uri'require 'net/http'url = URI("https://api.themoviedb.org/3/person/latest")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer <token>'response = http.request(request)puts response.read_body
{ "adult": false, "also_known_as": [], "biography": "", "birthday": null, "deathday": null, "gender": 0, "homepage": null, "id": 5154050, "imdb_id": null, "known_for_department": "Acting", "name": "Joe McClure", "place_of_birth": null, "popularity": 0, "profile_path": null }
Get the newest created person. This is a live response and will continuously change.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
New Request
false
[]
""
0
5154050
"Acting"
"Joe McClure"